This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 44202 - Badly generated class name of "Empty JUnit Test"
Summary: Badly generated class name of "Empty JUnit Test"
Status: CLOSED FIXED
Alias: None
Product: java
Classification: Unclassified
Component: JUnit (show other bugs)
Version: 4.x
Hardware: PC Linux
: P2 blocker (vote)
Assignee: junit-issues@java
URL:
Keywords:
Depends on:
Blocks: 43932
  Show dependency tree
 
Reported: 2004-06-02 14:44 UTC by dmladek
Modified: 2006-03-24 10:29 UTC (History)
0 users

See Also:
Issue Type: DEFECT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dmladek 2004-06-02 14:44:21 UTC
Product Version       = NetBeans IDE Dev (Build
200406011800)
  Operating System      = Linux version
2.4.22-1.2115.nptl running on i386
  Java; VM; Vendor      = 1.4.2_04; Java
HotSpot(TM) Client VM 1.4.2_04-b05; Sun
Microsystems Inc.
  Java Home             =
/usr/local/java/j2sdk1.4.2_04/jre
  System Locale; Encod. = cs_CZ (nb); ISO-8859-2
  Home Dir; Current Dir = /usr/local/home/delphym;
/usr/local/forte/forte3/NBdev-last/netbeans/bin
-------------------------------------------------------------------------------

I'm creating KnizkaTest class  as Empty JUnit
Test. File is named KnizkaTest.java but class is
named SimpleJUnitTest.
Here is the piece of generated code:

public class SimpleJUnitTest extends TestCase {

But it should be:
public class KnizkaTest extends TestCase {
Comment 1 Marian Petras 2004-06-15 16:06:39 UTC
Accepted.
Comment 2 Marian Petras 2004-06-15 19:05:10 UTC
fixed in the trunk (together with bugs #43621, #44051, #44318, #44320,
#44321)

changed files:

junit/src/org/netbeans/modules/junit/wizards/Bundle.properties   (1.3)
junit/src/org/netbeans/modules/junit/wizards/EmptyTestCaseWizardIterator.java
  (1.5)
junit/src/org/netbeans/modules/junit/wizards/EmptyTestStepLocation.java
  (1.4)
junit/src/org/netbeans/modules/junit/wizards/LocationPanel.java  
(deleted - last revision 1.3)
junit/src/org/netbeans/modules/junit/wizards/SimpleTestStepLocation.java
  (1.5)
junit/src/org/netbeans/modules/junit/wizards/StepProblemMessage.java 
 (1.1 - initial revision)
junit/src/org/netbeans/modules/junit/wizards/TestSuiteStepLocation.java
  (1.4)
junit/src/org/netbeans/modules/junit/wizards/TestSuiteWizardIterator.java
  (1.5)
junit/src/org/netbeans/modules/junit/wizards/Utils.java   (1.5)
Comment 3 dmladek 2004-06-16 11:02:39 UTC
OK in NetBeans IDE Dev (Build 200406151800)